<template>
  <div class="tv-container">
      
        <div class="container-box">
             <div>
                <div class="el-label"><i class="el-icon-collection-tag"></i>基本信息</div>
                <div class="el-line"></div>
                <baseTable v-if="woNo" :woNo="woNo" step="14"  @callBack="callBack"/>
                <div class="el-line"></div>
                <div class="el-label"><i class="el-icon-collection-tag"></i>省内引入</div>
                <div class="el-line"></div>

                <div>
                  <el-row>
                    <el-col :span="6">&nbsp;</el-col>
                    <el-col :span="12">
                        <el-form ref="form" :model="form" label-width="80px">
                          <el-form-item>
                              <myUpload ref="provinceFile" type="provinceFile" :itemId="itemId" btn="btn" @handleResult="uploadCallBack"></myUpload>
                          </el-form-item>
                          <el-form-item label="备注信息">
                            <el-input type="textarea" v-model="form.note"></el-input>
                          </el-form-item>
                        </el-form>
                    </el-col>
                    <el-col :span="6">&nbsp;</el-col>
                  </el-row>

                </div>

                <div class="el-line"></div>
                <div class="el-label"></div>
                <div class="el-line"></div>
                <div style="text-align:right">
                  <el-button type="primary" @click="handleAudit">确定</el-button>
                </div>
             </div>
        </div>
        <!--<fullscreen :fullscreen.sync="fullscreen" class="container"></fullscreen>-->
  </div>
</template>

<script>
import baseTable from "./basePeerReview"
import myUpload from "@/components/uploadNew.vue";

export default {
  components:{ baseTable ,myUpload},
  data(){
    return{
      woNo:'',
      itemId:'',
      fullscreen:true,
      form:{note:""},
      assigneeNo:'',
      assigneeName:'',
      bpmInfo:{},
      provinceFile:[]

    }
  },
  methods:{
    callBack(itemId){
      this.itemId = itemId
    },
    uploadCallBack(v){

    },
    completeTask(){
        if(this.assigneeNo===""){
           this.$message({ showClose: true, message:"数据异常",type: 'error'});
          return 
        }
        //拼装参数
        let info={}
        info.params={
          "note":this.form.note,
          "itemId":this.itemId,
          "woNo":this.woNo, 
          "assigneeNo":this.assigneeNo,
          "assigneeName":this.assigneeName,
          "extendInfo":JSON.stringify(this.provinceFile)
        },
        info.taskId = this.bpmInfo.taskId
        info.woNo = this.bpmInfo.woNo 
        info.stepId = this.bpmInfo.stepId
        info.procId = this.bpmInfo.procId
        info.procVersion = this.bpmInfo.procVersion
        //POST请求
        this.$http({
        url: "/bpm/api/submitTask",
        method: "post",
        headers: {"Content-Type": "application/json"},
        data:info
        }).then((res) => {
         if(res.data.result==0){
            this.$router.push({	path: '/tvIntroduction'});
         }else{
            this.$message({ showClose: true, message: res.data.desc,type: 'error'});
         }
        });
    },

    handleAudit(){
          //通过 or 不通过 均给发起人

      let ipfs = this.$refs.provinceFile.getFileList();
      if(ipfs.length==0){
        this.$message({ showClose: true, message: "请上传附件",type: 'error'});
        return false
      }
      this.provinceFile = ipfs;
          //
      this.$http({
        url: "/market/tvImport/basicInfo",
        method: "post",
        headers: {"Content-Type": "application/json"},
        data:{"itemId":this.itemId,"woNo":this.woNo}
      }).then((res) => {
        if(res.data.result==0){
          let user = res.data.body.imp
          if(null==user){
              this.$message({ showClose: true, message: "数据异常",type: 'error'});
          }else{
                this.assigneeNo = user.createLogin
                this.assigneeName = user.createLoginName
                this.completeTask()
          }
        }else{
          this.$message({ showClose: true, message: res.data.desc,type: 'error'});
        }
      });
    }
  },
  mounted(){
    this.woNo = this.$route.query.woNo
    this.bpmInfo.taskId = this.$route.query.taskId
    this.bpmInfo.woNo = this.woNo
    this.bpmInfo.stepId = this.$route.query.stepId
    this.bpmInfo.procId = this.$route.query.procId
    this.bpmInfo.procVersion = this.$route.query.procVersion
  }
}
</script>
<style lang="scss" scoped>
.tv-container{
  background-color: white;
  margin:15px 15px 15px 15px;
  padding:20px ;

}
.el-label{
  /*border-left:5px solid #0b82ff;*/
  /*padding-left:5px;*/
  color: #606266;
  border-bottom:1px dotted #bfc1c5;
  padding-bottom:5px;
}
.el-line{
  margin: 0px 0px 20px 0px;
}
</style>
